Chapter 1. Get started with OpenStack in OpenStack Cloud Administrator Guide  - master - Identity Service

Bug #1239308 reported by Marco CONSONNI on 2013-10-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
openstack-manuals
Wishlist
Brian Moss

Bug Description

Paragraph Identity Service concepts.

The paragraph has a different layout and purpose of the others in the same chapter; I would recommend some harmonization.

In fact, the other paragraphs describe what the service does (a brief description of the function) and how they are built (the components).
This paragraph is different describing some concepts implemented by the service (users, tenants, etc...) but not the components.
In my humble opinion, also this paragraph should have a layout and a purpose similar to the others.

I'm attaching some notes that should serve the purpose.
Note that the format is not exactly the same used in the document for describing the other services. Feel free to use the contents, if you think it is useful.
Also remove the hyperlinks: I wrote them just for checking the validity of the source where I found the information.

If the suggestion is accepted, I would also recommend to:

- change the paragraph title to "Identity service" to make it similar to the "sibling" paragraph in the same chapter
- move the 'concept table' (the table defining User, credentials, etc...) to paragraph "Identity Service Concepts" in "Identity Management" chapter.

The latter change would also remove some redundancy.

-----------------------------------
Built: 2013-10-13T06:00:54 00:00
git SHA: a1586f1c3c7795a5369ac6c86c984fc2b9e8a07a
URL: http://docs.openstack.org/admin-guide-cloud/content/ch_getting-started-with-openstack.html
source File: file:/home/jenkins/workspace/openstack-admin-guide-cloud/doc/common/ch_getstart.xml
xml:id: ch_getting-started-with-openstack

Marco CONSONNI (marco-consonni) wrote :
Changed in openstack-manuals:
milestone: none → havana
Tom Fifield (fifieldt) wrote :

Thanks Marco :D

Changed in openstack-manuals:
status: New → Confirmed
importance: Undecided → Wishlist
Lana (loquacity) on 2013-12-20
Changed in openstack-manuals:
assignee: nobody → Lana (loquacity)

Fix proposed to branch: master
Review: https://review.openstack.org/63310

Changed in openstack-manuals:
status: Confirmed → In Progress
Lana (loquacity) on 2014-03-13
Changed in openstack-manuals:
assignee: Lana (loquacity) → nobody
Tom Fifield (fifieldt) wrote :

Example text in the abandoned patch

Changed in openstack-manuals:
status: In Progress → Triaged
Tom Fifield (fifieldt) on 2014-04-14
Changed in openstack-manuals:
milestone: havana → icehouse
Tom Fifield (fifieldt) on 2014-04-17
Changed in openstack-manuals:
milestone: icehouse → juno
Tom Fifield (fifieldt) on 2015-02-27
Changed in openstack-manuals:
milestone: juno → kilo
tags: added: admin-guide-cloud
Tom Fifield (fifieldt) on 2015-06-11
Changed in openstack-manuals:
milestone: kilo → liberty
Changed in openstack-manuals:
assignee: nobody → Alexandra Settle (alexandra-settle)
Brian Moss (bmoss) on 2015-07-10
Changed in openstack-manuals:
assignee: Alexandra Settle (alexandra-settle) → Brian Moss (bmoss)

Fix proposed to branch: master
Review: https://review.openstack.org/209815

Changed in openstack-manuals:
status: Triaged → In Progress

Reviewed: https://review.openstack.org/209815
Committed: https://git.openstack.org/cgit/openstack/openstack-manuals/commit/?id=107ddb1a658c99187d115707f6871580f25e3c7e
Submitter: Jenkins
Branch: master

commit 107ddb1a658c99187d115707f6871580f25e3c7e
Author: Brian Moss <email address hidden>
Date: Thu Aug 6 18:22:16 2015 +1000

    Update Identity service intro and concepts

    Updates Identity service information in the
    Get Started with OpenStack chapter and moves
    Identity concepts information to the Identity
    Management chapter.

    Change-Id: Icdffc456a258cc16a2ced8743897f8c647b997b9
    Closes-Bug: #1239308

Changed in openstack-manuals:
status: In Progress → Fix Released

This issue was fixed in the openstack/openstack-manuals 15.0.0 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers